com.ihr.xbrl.om.table.definition

## Class RelationshipGraphNode<Z extends RelationshipGraphNode.Node<Z>>

- java.lang.Object
- - com.ihr.xbrl.om.table.definition.RelationshipGraphNode<Z>

- Type Parameters:
    `Z` - the generic type

      public class RelationshipGraphNode<Z extends RelationshipGraphNode.Node<Z>>
      extends java.lang.Object

  The Class RelationshipGraphNode.
  Author:
    Ignacio

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RelationshipGraphNode.GraphNodeBuildingParameters<Z extends RelationshipGraphNode.Node<Z>>` The Class GraphNodeBuildingParameters.
    `static class` | `RelationshipGraphNode.Node<T extends RelationshipGraphNode.Node<?>>` The Class Node.
    `static class` | `RelationshipGraphNode.NodeFactory<T extends RelationshipGraphNode.Node<T>>` A factory for creating Node objects.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelationshipGraphNode(java.util.Collection<RelationshipGraphNode.GraphNodeBuildingParameters<Z>> params)` Instantiates a new relationship graph node.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<Z>` | `getRootNodes()` Gets the root nodes.
    `void` | `removeNodes(java.util.ArrayList<Z> toRemoveNodes)` Removes the nodes.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RelationshipGraphNode

          public RelationshipGraphNode(java.util.Collection<RelationshipGraphNode.GraphNodeBuildingParameters<Z>> params)

      Instantiates a new relationship graph node.
      Parameters:
        `params` - the params

  - ### Method Detail

    - #### getRootNodes

          public java.util.ArrayList<Z> getRootNodes()

      Gets the root nodes.
      Returns:
        the root nodes

    - #### removeNodes

          public void removeNodes(java.util.ArrayList<Z> toRemoveNodes)

      Removes the nodes.
      Parameters:
        `toRemoveNodes` - the to remove nodes